com.mysql.cj.xdevapi

## Interface InsertStatement

All Superinterfaces:
  Statement<InsertStatement,InsertResult>

    public interface InsertStatement
    extends Statement<InsertStatement,InsertResult>

A statement INSERTing new row(s) into a table.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.mysql.cj.xdevapi.Statement

`Statement.LockContention`

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`InsertStatement` `values(List<Object> values)` Add a row (sequence of values) to this statement.
`default InsertStatement` `values(Object... values)` Add a row (sequence of values) to this statement.

### Methods inherited from interface com.mysql.cj.xdevapi.Statement

`bind, bind, bind, bind, clearBindings, execute, executeAsync`

### Method Detail

#### values

    InsertStatement values(List<Object> values)

Add a row (sequence of values) to this statement.

Parameters:
  `values` - list of values to insert
Returns:
  `InsertStatement`

#### values

    default InsertStatement values(Object... values)

Add a row (sequence of values) to this statement.

Parameters:
  `values` - one or more values to insert
Returns:
  `InsertStatement`

Copyright © 2016, 2026, Oracle and/or its affiliates.